petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCSPAISetEpsilon

Set the tolerance for the SPAI preconditioner

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCSPAISetEpsilon(PC pc,double epsilon1)

### Input Parameters

| pc | - the preconditioner Many br
| eps | - epsilon (default .4) Many br

Notes: Espilon must be between 0 and 1. It controls the Many brquality of the approximation of M to the inverse of Many brA. Higher values of epsilon lead to more work, more Many brfill, and usually better preconditioners. In many Many brcases the best choice of epsilon is the one that Many brdivides the total solution time equally between the Many brpreconditioner and the solver. Many br

Many br

### See Also

PCSPAI, PCSetType()

Level:intermediate
Location:src/ksp/pc/impls/spai/ispai.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages